<?php
/**
* Header Banner Options.
*
* @package Home Construction Builder
*/

$home_construction_builder_default = home_construction_builder_get_default_theme_options();
$home_construction_builder_post_category_list = home_construction_builder_post_category_list();

$wp_customize->add_section( 'home_construction_builder_header_slider_setting',
    array(
    'title'      => esc_html__( 'Slider Settings', 'home-construction-builder' ),
    'priority'   => 10,
    'capability' => 'edit_theme_options',
    'panel'      => 'home_construction_builder_theme_home_pannel',
    )
);

// Show/Hide Site Logo
$wp_customize->add_setting('home_construction_builder_display_logo', array(
    'default'           => false,
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'home_construction_builder_sanitize_checkbox',
));
$wp_customize->add_control('home_construction_builder_display_logo', array(
    'label'    => esc_html__('Enable / Disable Site Logo', 'home-construction-builder'),
    'section'  => 'title_tagline',
    'type'     => 'checkbox',
));

// Show/Hide Site Title
$wp_customize->add_setting('home_construction_builder_display_title', array(
    'default'           => true,
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'home_construction_builder_sanitize_checkbox',
));
$wp_customize->add_control('home_construction_builder_display_title', array(
    'label'    => esc_html__('Enable / Disable Site Title', 'home-construction-builder'),
    'section'  => 'title_tagline',
    'type'     => 'checkbox',
));

// Show/Hide Site Tagline
$wp_customize->add_setting('home_construction_builder_display_header_text',
    array(
        'default'           => false,
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'home_construction_builder_sanitize_checkbox',
    )
);
$wp_customize->add_control('home_construction_builder_display_header_text',
    array(
        'label' => esc_html__('Enable / Disable Site Tagline', 'home-construction-builder'),
        'section' => 'title_tagline',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('home_construction_builder_header_slider',
    array(
        'default' => $home_construction_builder_default['home_construction_builder_header_slider'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'home_construction_builder_sanitize_checkbox',
    )
);
$wp_customize->add_control('home_construction_builder_header_slider',
    array(
        'label' => esc_html__('Enable Slider', 'home-construction-builder'),
        'section' => 'home_construction_builder_header_slider_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('home_construction_builder_banner_background_image',
    array(
        'default' => $home_construction_builder_default['home_construction_builder_banner_background_image'],
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control( $wp_customize,'home_construction_builder_banner_background_image',
        array(
            'label' => __('Slider Background Image','home-construction-builder'),
            'section' => 'home_construction_builder_header_slider_setting',
            'settings' => 'home_construction_builder_banner_background_image',
        )
    )
);

$wp_customize->add_setting( 'home_construction_builder_slider_section_short_title',
    array(
    'default'           => $home_construction_builder_default['home_construction_builder_slider_section_short_title'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'home_construction_builder_slider_section_short_title',
    array(
    'label'    => esc_html__( 'Slider Short Title', 'home-construction-builder' ),
    'section'  => 'home_construction_builder_header_slider_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'home_construction_builder_header_banner_cat',
    array(
    'default'           => '',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'home_construction_builder_sanitize_select',
    )
);
$wp_customize->add_control( 'home_construction_builder_header_banner_cat',
    array(
    'label'       => esc_html__( 'Slider Post Left Category', 'home-construction-builder' ),
    'section'     => 'home_construction_builder_header_slider_setting',
    'type'        => 'select',
    'choices'     => $home_construction_builder_post_category_list,
    )
);

// About Us Settings

$wp_customize->add_section( 'home_construction_builder_about_us_setting',
    array(
    'title'      => esc_html__( 'About Us Settings', 'home-construction-builder' ),
    'priority'   => 10,
    'capability' => 'edit_theme_options',
    'panel'      => 'home_construction_builder_theme_home_pannel',
    )
);

$wp_customize->add_setting('home_construction_builder_header_about_us',
    array(
        'default' => $home_construction_builder_default['home_construction_builder_header_about_us'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'home_construction_builder_sanitize_checkbox',
    )
);
$wp_customize->add_control('home_construction_builder_header_about_us',
    array(
        'label' => esc_html__('Enable About Us', 'home-construction-builder'),
        'section' => 'home_construction_builder_about_us_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('home_construction_builder_about_us_left_image',
    array(
        'default' => $home_construction_builder_default['home_construction_builder_about_us_left_image'],
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control( $wp_customize,'home_construction_builder_about_us_left_image',
        array(
            'label' => __('About Us Left Image ','home-construction-builder'),
            'section' => 'home_construction_builder_about_us_setting',
            'settings' => 'home_construction_builder_about_us_left_image',
        )
    )
);

$wp_customize->add_setting( 'home_construction_builder_about_us_section_image_title',
    array(
    'default'           => $home_construction_builder_default['home_construction_builder_about_us_section_image_title'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'home_construction_builder_about_us_section_image_title',
    array(
    'label'    => esc_html__( 'Left Image Heading', 'home-construction-builder' ),
    'section'  => 'home_construction_builder_about_us_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'home_construction_builder_about_us_section_title',
    array(
    'default'           => $home_construction_builder_default['home_construction_builder_about_us_section_title'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'home_construction_builder_about_us_section_title',
    array(
    'label'    => esc_html__( 'About Us Short Title', 'home-construction-builder' ),
    'section'  => 'home_construction_builder_about_us_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'home_construction_builder_about_us_section_sub_title',
    array(
    'default'           => $home_construction_builder_default['home_construction_builder_about_us_section_sub_title'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'home_construction_builder_about_us_section_sub_title',
    array(
    'label'    => esc_html__( 'About Us Heading', 'home-construction-builder' ),
    'section'  => 'home_construction_builder_about_us_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'home_construction_builder_about_us_section_content',
    array(
    'default'           => $home_construction_builder_default['home_construction_builder_about_us_section_content'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'home_construction_builder_about_us_section_content',
    array(
    'label'    => esc_html__( 'About Us Content', 'home-construction-builder' ),
    'section'  => 'home_construction_builder_about_us_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting('home_construction_builder_about_us_small_image',
    array(
        'default'           => $home_construction_builder_default['home_construction_builder_about_us_small_image'],
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control( $wp_customize,'home_construction_builder_about_us_small_image',
        array(
            'label' => __('About Us Feature Image ','home-construction-builder'),
            'section' => 'home_construction_builder_about_us_setting',
            'settings' => 'home_construction_builder_about_us_small_image',
        )
    )
);

$wp_customize->add_setting( 'home_construction_builder_about_us_exprience_title',
    array(
    'default'           => $home_construction_builder_default['home_construction_builder_about_us_exprience_title'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'home_construction_builder_about_us_exprience_title',
    array(
    'label'    => esc_html__( 'About Us Feature Heading 1', 'home-construction-builder' ),
    'section'  => 'home_construction_builder_about_us_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'home_construction_builder_about_us_work_title',
    array(
    'default'           => $home_construction_builder_default['home_construction_builder_about_us_work_title'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'home_construction_builder_about_us_work_title',
    array(
    'label'    => esc_html__( 'About Us Feature Heading 2', 'home-construction-builder' ),
    'section'  => 'home_construction_builder_about_us_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'home_construction_builder_about_us_service_title',
    array(
    'default'           => $home_construction_builder_default['home_construction_builder_about_us_service_title'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'home_construction_builder_about_us_service_title',
    array(
    'label'    => esc_html__( 'About Us Feature Heading 3', 'home-construction-builder' ),
    'section'  => 'home_construction_builder_about_us_setting',
    'type'     => 'text',
    )
);
